Home > Emacs Cannot > Emacs Cannot Open Termcap Database File Mac Port

Emacs Cannot Open Termcap Database File Mac Port

Having both Fink and MacPorts installed simultaneously is not supported, because it causes problems like this where a port being built by one will pick up an incompatible dependency from the Emacs is in [emacs-78.2|http://www.opensource.apple.com/source/emacs/emacs-78.2>, which contains emacs-21.1. GBiz is too! Latest News Stories: Docker 1.0Heartbleed Redux: Another Gaping Wound in Web Encryption UncoveredThe Next Circle of Hell: Unpatchable SystemsGit 2.0.0 ReleasedThe Linux Foundation Announces Core Infrastructure The first thing to figure out is where is Emacs looking for this termcap file? navigate here

You can not post a blank message. So I guess OP's emacs is not the one preinstalled in 10.6. Next Message by Date: Re: full screen problems Andrea Crotti writes: > I use the following to enable full screen mode > > (defun full (&optional f) > (interactive) > Mi cuentaBúsquedaMapsYouTubePlayNoticiasGmailDriveCalendarGoogle+TraductorFotosMásShoppingDocumentosLibrosBloggerContactosHangoutsAún más de GoogleIniciar sesiónCampos ocultosBuscar grupos o mensajes emacs: Cannot open termcap database file Dietrich Bollmann diresap at gmail.com Mon Jun 13 07:59:56 CEST 2011 Previous message: Perl https://trac.macports.org/ticket/30588

Is it a terminal, X11, Carbon, Cocoa, or AppKit based variant? Thanks Note: See TracTickets for help on using tickets. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site.

Nov 16, 2009 3:42 PM Helpful (1) Reply options Link to this post by Gary Schiltz, Gary Schiltz Nov 16, 2009 5:59 PM in response to Jun T. I may have upgraded my Emacs at one point under 10.5.x, and those updates got only partially propagated when I upgraded to 10.6. No Fink in .bash_profile. The path suggests a fink install.

All rights reserved. So, this did not show up.Removing the above alias from my .bash_profile fixed the problem.I hope this helps someone. Next message: emacs: Cannot open termcap database file Messages sorted by: [ date ] [ thread ] [ subject ] [ author ] More information about the macports-users mailing list Open The first thing to figure out is where is Emacs looking for this termcap file?

Apple may provide or recommend responses as a possible solution based on the information provided; every potential issue may involve several factors not detailed in the conversations captured in an electronic Next Message by Date: Re: emacs inject a prolog to print jobs? When it didn't find that, it then tried the older termcap. Can someone tell me what filenames and directories to search for this file?

Thread at a glance: Previous Message by Date: "Cannot open termcap database file" The Emacs port provided by MacPorts (Emacs 23.2.1) won't start on OS X Snow Leopard. There is an easy fix for this problem: install the package libncurses5-dev which will provide the file termcap.h. HOWEVER, what confuses me is the fact that: Fink in NOT active. Can someone tell me what filenames and directories to search for this file?

I want to determine whether it is missing altogether, or is there but is inaccessible to Emacs for some reason. http://haywirerobotics.com/emacs-cannot/emacs-cannot-open-termcap-database-file-centos.html William H. I have many other options, including the Cocoa native GUI version of Emacs. MacBook Pro, Mac OS X (10.6.2) Posted on Nov 15, 2009 8:38 PM Reply I have this question too Q: Emacs in 10.6.2 Terminal Hide Question All replies Helpful answers by

Nov 16, 2009 3:42 PM in response to BobHarris Level 4 (2,185 points) Nov 16, 2009 3:42 PM in response to BobHarris I can currently access only one 10.6 Mac, but Am 18.12.2010 um 23:57 schrieb Urs Rau (UK): I am using the latest emacs under Mac OS X 10.6.x Not everyone is using the "latest emacs" â which version is this? Second, supposing it is missing, where can I find a suitable termcap database file? his comment is here Nov 17, 2009 7:07 AM Helpful (0) Reply options Link to this post Apple Footer This site contains user submitted content, comments and opinions and is for informational purposes only.

Somewhere in the past I read that one way to "update emacs" was to install the Cocao GUI application, and then add the following alias to my environment:alias emacs='/Applications/Emacs.app/Contents/MacOS/Emacs -nw --debug-init'which Are you sure maybe your version did not get updated? Magill magill at mcgillsociety.org Fri Mar 25 14:04:20 EDT 2011 Previous message: [OS X Emacs] Aquamacs 2.2 released Next message: [OS X Emacs] Apple Emacs on Mac OSX Server - 10.6.7

The error message is: emacs: "Cannot open termcap database file" You better report this problem as a MacPorts bug (https://trac.macports.org/ ) – besides: does the problem also exist when you launch

I recently made a change that may help (r81667). Regardless, I deleted the '/sw' directory and proceeded to re-install emacs via Ports and YES this time it works!! BTW, and FWIW, I get the same error message I posted earlier if I include -Q in the Emacs invocation. ~kj

vvv Home | News | Sitemap | FAQ | I assume that one fix is to insert: (setq system-uses-terminfo y) Into a .emacs file.

Anyway, not an OS X user, but check this first: http://discussions.apple.com/thread.jspa?messageID=10589416&tstart=0 If that doesn't help, look around for a terminfo file, it will probably be part of the libncurses package. For posterity's sake, I'll post a follow-up if I find out what it is. Next Message by Thread: Re: "Cannot open termcap database file" In [email protected] writes: >If that doesn't help, look around for a terminfo file, it will probably >be part of the weblink Second, supposing it is missing, where can I find a suitable termcap database file?

Alternative, is there a way to circumvent this requirement? Thanks, Dietrich Previous message: Perl 5.14 date? Nov 16, 2009 7:49 AM Helpful (1) Reply options Link to this post by BobHarris, BobHarris Nov 16, 2009 9:55 AM in response to Jun T. But after that I removed Fink from my PATHS.

Alternative, is there a way to circumvent this requirement? Nov 16, 2009 5:59 PM Helpful (0) Reply options Link to this post by Gary Schiltz, Gary Schiltz Nov 16, 2009 6:28 PM in response to Gary Schiltz Level 1 (0 Nov 16, 2009 7:49 AM in response to Gary Schiltz Level 4 (2,185 points) Nov 16, 2009 7:49 AM in response to Gary Schiltz I'm not an emacs user, but on It's been a long time since I diddled with elisp so I don't remember how to display the current value of that variable.

Nov 16, 2009 9:55 AM Helpful (0) Reply options Link to this post by Jun T.,★Helpful Jun T. Nov 16, 2009 6:28 PM Helpful (0) Reply options Link to this post by Jun T., Jun T. The error message is: emacs: "Cannot open termcap database file" You better report this problem as a MacPorts bug (https://trac.macports.org/ ) – besides: does the problem also exist when you launch Oldest first Newest first Threaded Comments only Change History (4) comment:1 Changed 5 years ago by [email protected]… Owner changed from [email protected]… to [email protected]… Port emacs added comment:2 Changed 5 years ago

I was mostly just curious, and seeing Jun's response helps me see, like I said before, that something is messed up with my Emacs installation. The Emacs that comes with OS X starts up, but it is version 22, but I installed the MacPorts port of Emacs because I needed version 23. Thanks! ~kj P.S. emacs quick hacks Previous post Next post Comments Please enable JavaScript to view the comments powered by Disqus.

I downloaded Emacs from CVS and proceeded to configure, build and install it from source in that little VM of mine. http://git.informatimago.com/viewgit/index.php?a=viewblob&p=public/emacs&h=0bbe15dd1bca0dc82062f21058c77c5fc7c457e7&hb=e57067965e5def38d5fa18dab0aa75cff3d049b9&f=pjb-emacs.el http://www.informatimago.com/develop/emacs/index.html -- __Pascal Bourguignon__ http://www.informatimago.com/ A bad day in () is better than a good day in {}. Next Message by Thread: Re: "Cannot open termcap database file" kj writes: The Emacs port provided by MacPorts (Emacs 23.2.1) won't start on OS X Snow Leopard. I just want to enable it not toggle, but that function only support > toggling apparently, and I don't see a variable to check if I'm > already in full screen